Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000069 [libFirm] sparc backend feature always 2011-08-08 14:00 2011-12-24 03:47
Reporter Matze View Status public  
Assigned To Matze
Priority normal Resolution fixed  
Status closed   Product Version
Summary 0000069: implement upper_bits_clean
Description When performing arithmetic in less than 32 bits, the current backends have some cases where they can eliminate unnecessary conv operations. (See ia32_transform.c upper_bits_clean).

An alternative approach which might be worth thinking about would be to create a separate phase (similar to the llvm legalize phase), so the backend only ever finds 32bit operations (well loads/stores can obviously still be 8/16 bit).
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000122)
Matze (administrator)
2011-10-17 18:36

implemented in ee2b2d119262ba50616214d4da544dc5584abe61

- Issue History
Date Modified Username Field Change
2011-08-08 14:00 Matze New Issue
2011-10-17 18:36 Matze Note Added: 0000122
2011-10-17 18:36 Matze Assigned To => Matze
2011-10-17 18:36 Matze Status new => resolved
2011-10-17 18:36 Matze Resolution open => fixed
2011-10-19 22:19 Matze View Status private => public
2011-12-24 03:47 Matze Status resolved => closed


Mantis 1.1.5[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker